import React from "react";
import MkdSDK from "@/utils/MkdSDK";
import { useParams } from "react-router-dom";
import { LazyLoad } from "@/components/LazyLoad";
import { WireframeRequirementFlow } from "@/components/WireframeRequirementFlow";
import { GlobalContext } from "@/context/Global";

const PreWreframeFlow = () => {
  const params = useParams();
  const { dispatch: globalDispatch } = React.useContext(GlobalContext);

  React.useEffect(() => {
    globalDispatch({
      type: "SETPATH",
      payload: {
        path: "sow",
      },
    });
  }, []);

  return (
    <div>
      <LazyLoad>
        <WireframeRequirementFlow requirementId={params?.id} />
      </LazyLoad>
    </div>
  );
};

export default PreWreframeFlow;
